List of all members
cgicc::comment Class Reference

An HTML comment. More...

`#include <cgicc/HTMLClasses.h>`

Inheritance diagram for cgicc::comment:

## Additional Inherited Members
Public Types inherited from cgicc::HTMLElement
enum | EElementType { eAtomic , eBoolean }
| Possible types of HTMLElements. More...
Public Member Functions inherited from cgicc::HTMLBooleanElement< nullTag >
| HTMLBooleanElement ()
| Create a new empty boolean element. More...
| HTMLBooleanElement (const std::string &text)
| Create a new element, specifying the enclosed text. More...
| HTMLBooleanElement (const HTMLAttributeList &attributes)
| Create a new element, specifying the HTMLAttribute objects. More...
| HTMLBooleanElement (const HTMLElement &embedded)
| Create a new element, specifying an embedded HTMLElement. More...
| HTMLBooleanElement (const std::string &text, const HTMLAttributeList &attributes)
| Create a new element, specifying the enclosed text and HTMLAttribute objects. More...
| HTMLBooleanElement (const HTMLAttributeList &attributes, const HTMLElement &embed)
| Create a new element, specifying the HTMLAttributes and embedded HTMLElement. More...
virtual | ~HTMLBooleanElement ()
| Destructor. More...
virtual HTMLElement * | clone () const
| Clone this element. More...
virtual const char * | getName () const
| Get the name of this element. For example, "strong". More...
virtual void | swapState () const
| Swap the state of this boolean element. More...
virtual bool | getState () const
| Get the state of this boolean element. More...
Public Member Functions inherited from cgicc::HTMLElement
| HTMLElement (const HTMLElement &element)
| Copy constructor. More...
virtual | ~HTMLElement ()
| Destructor. More...
bool | operator== (const HTMLElement &element) const
| Compare two HTMLElements for equality. More...
bool | operator!= (const HTMLElement &element) const
| Compare two HTMLElements for inequality. More...
HTMLElement & | operator= (const HTMLElement &element)
| Assignment operator. More...
std::string | getData () const
| Get the data contained in this element, if any. More...
EElementType | getType () const
| Get the type of this element. More...
void | setData (const std::string &data)
| Set the data contained in this element. More...
const HTMLElementList * | getEmbedded () const
| Get the HTMLElementList embedded in this element, if any. More...
void | setEmbedded (const HTMLElementList &embedded)
| Set the HTMLElementList associated with this element. More...
HTMLElement & | add (const HTMLElement &element)
| Add an embedded HTMLElement in this one. More...
HTMLElement & | add (HTMLElement *element)
| Add an embedded HTMLElement in this one. More...
const HTMLAttributeList * | getAttributes () const
| Get the attributes associated with this element. More...
void | setAttributes (const HTMLAttributeList &attributes)
| Set the attributes associated with this element. More...
HTMLElement & | set (const std::string &name)
| Set an HTMLAttribute on this HTMLElement. More...
HTMLElement & | set (const std::string &name, const std::string &value)
| Set an HTMLAttribute on this HTMLElement. More...
Public Member Functions inherited from cgicc::MStreamable
| MStreamable ()
| Empty constructor. More...
virtual | ~MStreamable ()
| Empty destructor. More...
virtual void | render (std::ostream &out) const =0
| Write this object to a stream. More...
Static Public Member Functions inherited from cgicc::HTMLBooleanElement< nullTag >
static void | reset ()
| Reset the state of this boolean element to closed. More...
Protected Member Functions inherited from cgicc::HTMLElement
| HTMLElement (const HTMLAttributeList *attributes, const HTMLElement *embedded, const std::string *data, EElementType type)
| Subclass constructor. More...
bool | dataSpecified () const
| For subclasses only. More...

## Detailed Description

An HTML comment.

Definition at line 92 of file HTMLClasses.h.

The documentation for this class was generated from the following file:

- HTMLClasses.h